# Note that this is NOT a relocatable package
%define ver      1.0.54
%define rel      2
%define prefix   /usr

# temporary - quicklaunch applet version
%define quickver 0.8

Summary: The core programs for the GNOME GUI desktop environment.
Name: gnome-core
Version: %ver
Release: %rel
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://ftp.gnome.org/pub/gnome-core-%{ver}.tar.gz
Source1: netscape.png
Source2: Settings.order
Source3: http://members.xoom.com/fabiofb/quicklaunch/quicklaunch_applet-%{quickver}.tar.gz
Source4: Gnome.session
Source5: gnome-terminal.png
Source6: gnome-help-browser-redhat-page.tar.gz 

Patch1: gnome-core-1.0.53-default.patch
Patch2: gnome-core-1.0.0-smallpager.patch
Patch3: gnome-core-1.0.54-smallfont.patch
Patch4: gnome-core-1.0.6-mergerhmenus.patch

# not in cvs yet
Patch20: gnome-core-quicklaunch-make.patch
Patch21: gnome-core-quicklaunch-addhandle.patch

# new session code from owen
Patch23: gnome-core-1.0.4-nodisc.patch

Patch30: gnome-core-1.0.39-splash.patch

Patch43: gnome-core-1.0.4-asclock.patch

Patch50: gnome-core-1.0.6-pagerchanges.patch
Patch53: gnome-core-1.0.4-nohttp.patch
Patch55: gnome-core-1.0.10pre-magicdev.patch

Patch300: gnome-core-1.0.10pre-closecd.patch

# Should be fixed in gnome-core-1.0.40
#Patch60: gnome-core-1.0.39-taskdesk.patch

#Patch62: gnome-core-1.0.39-termdflt.patch

Patch61: gnome-core-1.0.39-gdmlang.patch
#Patch63: gnome-core-1.0.39-trashfix.patch
#Patch64: gnome-core-1.0.39-gettheme.patch
#Patch65: gnome-core-1.0.39-icefix.patch
#Patch66: gnome-core-1.0.39-pingfix.patch
Patch67: gnome-core-1.0.39-pppcmd.patch
Patch68: gnome-core-1.0.39-screensaverfix.patch
#Patch69: gnome-core-1.0.39-fastmenus.patch

BuildRoot: /var/tmp/gnome-core-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org
#Prereq: /sbin/install-info
Docdir: %{prefix}/doc

Requires: enlightenment >= 0.15.0
Requires: gnome-libs >= 1.0.18
Requires: xscreensaver >= 3.17-4
Requires: redhat-logos
Requires: magicdev

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-core package
includes the basic programs and libraries that are needed to install
GNOME.

%package devel
Summary: The core libraries and include files for GNOME panel development.
Group: Development/Libraries
Requires: gnome-core = %{PACKAGE_VERSION}
Requires: gnome-libs-devel

%description devel
The gnome-core-devel package contains the libraries and header files
for creating panels for the GNOME GUI desktop environment.

If you're developing GNOME panels, you'll need to install
gnome-core-devel.

%changelog
* Sat Sep 25 1999 Owen Taylor <otaylor@redhat.com>
- Use new -oneshot option for xscreensaver to lock screen if screensaver
  is not running.
- Default to not discarding panel menus in a timeout.

* Thu Sep 23 1999 Michael Fulbright <drmike@redhat.com>
- remove dialer_applet to avoid confusion with RH ppp tool
- change modem_lights applet default connect/disconnect cmd to use usernetctl

* Thu Sep 23 1999 Michael Fulbright <drmike@redhat.com>
- remove dialer_applet to avoid confusion with RH ppp tool
- change modem_lights applet default connect/disconnect cmd to use usernetctl

* Wed Sep 22 1999 Owen Taylor <otaylor@redhat.com>
- Fix session manager crashing problems?

* Wed Sep 22 1999 Jonathan Blandford <jrb@redhat.com>
- one line patch to fix theme in log-out screen.
- yet another new default page for gnome help browser.

* Tue Sep 21 1999 Elliot Lee <sopwith@redhat.com>
- inserted new default page for gnome help browser with RH docs on it
- added Owen's fix for session management

* Tue Sep 21 1999 Elliot Lee <sopwith@redhat.com>
- Patch panel to add gnome-terminal as a default launcher
- Fix up RH Settings.order to list UIOptions.

* Tue Sep 21 1999 Elliot Lee <sopwith@redhat.com>
- Update to whatever is in CVS (aka 1.0.39 for all intents and purposes)

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Keep CD player closed with CD player applet
- Remove "Ask me again" from the logout dialog
- Fix save-session to temporarily turn of trash mode

* Fri Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- After upgrading this to 1.0.10pre yesterday, I had to fix
  a bug in multiload, and also remove bad-applet from the package.

* Mon Aug 23 1999 Michael Fulbright <drmike@redhat.com>
- added new default Red Hat specific page for help browser

* Fri Aug 13 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnome-terminal.png icon

* Thu Aug  5 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9 

* Wed Jul 21 1999 Michael Fulbright <drmike@redhat.com>
- patched gnome-terminal to properly set TERM env if not already set.

* Wed Jul  7 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.7

* Tue Jun  8 1999 Michael Fulbright <drmike@redhat.com>
- updated to official 1.0.6 release
- fixed file list to include shared libs in gnome-core which are required 
  by applets which are dynamically loaded

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fix leaks in gnome-pager

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- pager fix for infinite redraws
- turned off http transport in help browser (it is not a web browser)
- patch to gnome-session to read GDM_LANG env and set LANG,etc properly


* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- another fix for pager

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- remove out-of-date documentaton
- applied patch that affected gnome pager if you switched window managers

* Mon Apr 12 1999 Michael Fulbright <drmike@redhat.com>
- fixed splash screen sm handling
- changed gnome-terminal to use 'fixed' by defualt
- made help-browser not spout out debugging info

* Wed Apr 7 1999 Michael Fulbright <drmike@redhat.com>
- fixed many warning messages and other visual glitches

* Mon Apr 5 1999 Michael Fulbright <drmike@redhat.com>
- updates to owen's session management code
- fixed cdplayer_applet to work if no disc in initially
- included asclock theme data in file list

* Thu Apr 1 1999 Owen Taylor <otaylor@redhat.com>
- updates for gnome-core-1.0.4. 
- changes to provide a simpler session management UI

* Thu Apr 1 1999 Michael Fulbright <drmike@redhat.com>
- added handle and incorporated quicklaunch-applet 0.8

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added devel requirement for gnome-libs-devel and removed prereq for 
  install-info

* Tue Mar 23 1999 Michael Fulbright <drmike@redhat.com>
- added gdm session script for GNOME
- patched help browser to resize properly

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- added quicklaunch applet

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix from ewt to make menubar not show up on initilization if not set on

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- make all tiles grey by default
- reverted gsm code back to 1.0.1 code so startup properties will work
- made misc-fixed font default so we get pipe characters back
- moved /etc/X11/applink to /etc/X11/applnk

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt against libghttp 1.0.0
- added kde menu reading code

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- added requirement for enlightenment
- added code to merge RH gnome desktop entries into panel menu

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gnome-libs with db1

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8.1 release
- replaced bad netscape.png with acceptable one
- updated file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8 release

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.7 release with empty dir panel menu hack

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to use enlightenment (again)

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5.1

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to run enlightenment

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- hacked in new default page and logo for help-browser

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- Cleaned %files section
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Built 0.30 release

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-core CVS source tree

%prep
%setup -q

%patch1 -p1 -b .default
%patch2 -p1 -b .smallpager
%patch3 -p1 -b .smallfont

%patch4 -p1 -b .mergerhmenus

# add quicklauch applet
cd applets
tar xzvf %{SOURCE3}

cd ..

%patch20 -p1 -b .make
%patch21 -p1 -b .addhandle

%patch23 -p1 -b .nodisc

%patch30 -p1 -b .splash

%patch43 -p1 -b .asclock

%patch50 -p1 -b .pagerchanges
%patch53 -p1 -b .nohttp

%patch55 -p1 -b .magicdev

%patch300 -p1 -b .closecd

#%patch60 -p1 -b .taskdesk
%patch61 -p1 -b .gdmlang
#%patch62 -p1 -b .termdflt
#%patch63 -p1 -b .trashfix
#%patch64 -p1 -b .gettheme
#%patch65 -p1 -b .icefix
#%patch66 -p1 -b .pingfix
%patch67 -p1 -b .pppcmd
%patch68 -p1 -b .screensaverfix
#%patch69 -p1 -b .fastmenus

# redo Makefile
automake --include-deps gsm/Makefile

%build

CFLAGS="-DHAVE_CONTROL_CENTER $RPM_OPT_FLAGS" ./configure --prefix=%prefix --with-window-manager=enlightenment --sysconfdir=/etc

if [ -n "$SMP" ]; then
	make MAKE="make -j$SMP"
else
	make
fi

# quicklaunch applet
cd $RPM_BUILD_DIR/gnome-core-%{PACKAGE_VERSION}/applets/quicklaunch_applet-%{quickver}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# quick launch
cd $RPM_BUILD_DIR/gnome-core-%{PACKAGE_VERSION}/applets/quicklaunch_applet-%{quickver}
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install


#
# this is in gnome-libs now?
#
#rm -f $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-default.png

cp %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/pixmaps/
cp %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Settings/.order

#
# clean out unneeded desktop entries
#
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/Netscape.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/Emacs.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/GIMP.desktop

# strip binaries
file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }' | xargs -n 1 strip

# gdm session file
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/Gnome

# install 'missing' gnome-terminal icon
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{prefix}/share/pixmaps/

# remove out of date docs
rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gnome-intro

# install Red Hat default page for help browser
cd $RPM_BUILD_ROOT%{prefix}/share/gnome/help/help-browser/C
tar xzvf %{SOURCE6}

# We really don't want people running this ;-)
rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/bad-applet.desktop
rm -f $RPM_BUILD_ROOT/etc/CORBA/servers/bad-applet.goad

rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Network/dialer_applet.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/bin/dialer_applet
rm -f /etc/CORBA/servers/dialer-applet.goad

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/*
%{prefix}/lib/lib*.so.*

%{prefix}/lib/libfish_applet.a
%{prefix}/lib/libfish_applet.la
%{prefix}/lib/libfish_applet.so
%{prefix}/lib/libgkb_applet.a
%{prefix}/lib/libgkb_applet.la

%{prefix}/lib/libgkb_applet.so

%{prefix}/share/applets
%{prefix}/share/asclock
%{prefix}/share/mc/templates
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/xmodmap/*
%config %{prefix}/share/panelrc
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/apps/.order
%{prefix}/share/gnome/help/*
%config %{prefix}/share/gnome/default.session
#%config %{prefix}/share/default.wm
%config /etc/CORBA/servers/*
%config /etc/sound/events/*
%config /etc/X11/gdm/Sessions/Gnome

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.sh

%{prefix}/lib/libpanel_applet.a
%{prefix}/lib/libpanel_applet.la
%{prefix}/lib/libpanel_applet.so

%{prefix}/include/*
%{prefix}/share/idl
